# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++ kdelibs perl(Date/Calc.pm) perl(Env.pm) perl(HTTP/Daemon.pm)
# END SourceDeps(oneline)
%define fedora 19
Name:    kpilot
Summary: Sync PIM data with PalmOS devices
Version: 5.3.0
Release: alt1_8

# no pilot-link on S/390
ExcludeArch: s390 s390x

License: GPLv2+
Group:   Office
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/4.3.4/src/kdepim-4.3.4.tar.bz2
# translations collected from:
# http://websvn.kde.org/branches/stable/l10n-kde4/*/messages/kdepim
# http://websvn.kde.org/branches/stable/l10n-kde4/*/docs/kdepim
Source1: kpilot-translations-20100115.tar.bz2

BuildRequires: kde4libs-devel >= 4.3.4
BuildRequires: kde4pimlibs-devel >= 4.3.4
BuildRequires: akonadi-devel
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires: pilot-link-devel >= 0.12
BuildRequires: libqca2-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext

Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%if 0%{?fedora} < 13
Conflicts: kdepim < 6:4.3.80
Conflicts: kde-l10n < 4.3.90-3
%endif
Source44: import.info

%description
Utility to synchronize PIM (Personal Information Management) data with
PalmOS devices.


%package libs
Summary: Runtime libraries for %{name}
Group:   System/Libraries

%description libs
%{summary}.


%prep
%setup -q -n kdepim-4.3.4 -a 1
echo 'add_subdirectory(../doc/kpilot doc)' >>kpilot/CMakeLists.txt
echo 'add_subdirectory(../kpilot-translations-20100115 l10n)' >>kpilot/CMakeLists.txt
pushd kpilot-translations-20100115/doc
for i in *_kpilot ; do
  if [ -e $i/index.docbook ] ; then
    echo "add_subdirectory($i)" >>CMakeLists.txt
    echo 'kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/'${i%_kpilot}'/ SUBDIR kpilot)' >$i/CMakeLists.txt
  fi
done
popd


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../kpilot
popd

make %{?_smp_mflags} -C %{_target_platform}


%install

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# don't package devel files
rm -rf %{buildroot}%{_kde4_includedir}/kpilot/
rm -f %{buildroot}%{_kde4_libdir}/libkpilot.so

%find_lang %{name} --with-kde


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%files -f %{name}.lang
%doc kpilot/COPYING
%doc kpilot/README kpilot/AUTHORS kpilot/ChangeLog kpilot/NEWS kpilot/TODO
%{_K4bindir}/kpilot
%{_K4bindir}/kpilotDaemon
%{_kde4_datadir}/applications/kde4/kpilot*.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/kpilotconduit.desktop
%{_kde4_appsdir}/kconf_update/kpilot.upd
%{_kde4_appsdir}/kpilot/
%{_K4iconsdir}/hicolor/*/*/*

%files libs
%{_kde4_libdir}/libkpilot.so.*
%{_kde4_libdir}/libkpilot_*.so
%{_kde4_libdir}/kde4/kcm_kpilot.so
%{_kde4_libdir}/kde4/kpilot_conduit_*.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 5.3.0-alt1_8
- initial fc import

